### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, BatchGetItemInput, BatchGetSingleTableRequest<T>>
  - BatchGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- consistentRead
- exec
- execFullResponse
- execNoMap
- fetch
- mapResponse
- returnConsumedCapacity

## Constructors

### constructor

- new BatchGetSingleTableRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>): BatchGetSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:15

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

  #### Returns BatchGetSingleTableRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:15

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: BatchGetItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### consistentRead

- consistentRead(value?: boolean): BatchGetSingleTableRequest<T>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:32

  #### Parameters

  - ##### Default value value: boolean = true

  #### Returns BatchGetSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<T[]>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:68

  fetch all entries and return the mapped entries as an array

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<T[]>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetSingleTableResponse<T>>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:54

  fetch all entries and return an object containing the mapped items and the other response data

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetSingleTableResponse<T>>

### execNoMap

- execNoMap(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetItemOutput>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:42

  fetch all entries and return an the raw response (no mapping of items)

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetItemOutput>

### Private fetch

- fetch(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetItemOutput>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:90

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

  #### Returns Promise<BatchGetItemOutput>

### Private mapResponse

- mapResponse(response: BatchGetItemOutput): object

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:75

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns object

  - ##### ConsumedCapacity: undefined | ConsumedCapacity[]

  - ##### Items: T[]

  - ##### UnprocessedKeys: undefined | object

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): BatchGetSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns BatchGetSingleTableRequest<T>

Generated using TypeDoc